
From: Stephen Rothwell <sfr@canb.auug.org.au>

The file arch/ppc64/kernel/iSeries_pci_reset contains only one function that
is not use anywhere (any more).  Remove it.  This function is the only user of
the ReturnCode member of iSeries_Device_Node, so remove that as well.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                                |  104 --------------------------------
 arch/ppc64/kernel/Makefile              |    2 
 include/asm-ppc64/iSeries/iSeries_pci.h |    3 
 3 files changed, 1 insertion(+), 108 deletions(-)

diff -L arch/ppc64/kernel/iSeries_pci_reset.c -puN arch/ppc64/kernel/iSeries_pci_reset.c~ppc64-iseries-remove-iseries_pci_resetc /dev/null
--- 25/arch/ppc64/kernel/iSeries_pci_reset.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,104 +0,0 @@
-#define PCIFR(...)
-/************************************************************************/
-/* File iSeries_pci_reset.c created by Allan Trautman on Mar 21 2001.   */
-/************************************************************************/
-/* This code supports the pci interface on the IBM iSeries systems.     */
-/* Copyright (C) 20yy  <Allan H Trautman> <IBM Corp>                    */
-/*                                                                      */
-/* This program is free software; you can redistribute it and/or modify */
-/* it under the terms of the GNU General Public License as published by */
-/* the Free Software Foundation; either version 2 of the License, or    */
-/* (at your option) any later version.                                  */
-/*                                                                      */
-/* This program is distributed in the hope that it will be useful,      */ 
-/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
-/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
-/* GNU General Public License for more details.                         */
-/*                                                                      */
-/* You should have received a copy of the GNU General Public License    */ 
-/* along with this program; if not, write to the:                       */
-/* Free Software Foundation, Inc.,                                      */ 
-/* 59 Temple Place, Suite 330,                                          */ 
-/* Boston, MA  02111-1307  USA                                          */
-/************************************************************************/
-/* Change Activity:                                                     */
-/*   Created, March 20, 2001                                            */
-/*   April 30, 2001, Added return codes on functions.                   */
-/*   September 10, 2001, Ported to ppc64.                               */
-/* End Change Activity                                                  */
-/************************************************************************/
-#include <linux/kernel.h>
-#include <linux/init.h>
-#include <linux/module.h>
-#include <linux/pci.h>
-#include <linux/irq.h>
-#include <linux/delay.h>
-
-#include <asm/io.h>
-#include <asm/iSeries/HvCallPci.h>
-#include <asm/iSeries/HvTypes.h>
-#include <asm/iSeries/mf.h>
-#include <asm/pci.h>
-
-#include <asm/iSeries/iSeries_pci.h>
-#include "pci.h"
-
-/*
- * Interface to toggle the reset line
- * Time is in .1 seconds, need for seconds.
- */
-int iSeries_Device_ToggleReset(struct pci_dev *PciDev, int AssertTime,
-		int DelayTime)
-{
-	unsigned int AssertDelay, WaitDelay;
-	struct iSeries_Device_Node *DeviceNode =
-		(struct iSeries_Device_Node *)PciDev->sysdata;
-
- 	if (DeviceNode == NULL) { 
-		printk("PCI: Pci Reset Failed, Device Node not found for pci_dev %p\n",
-				PciDev);
-		return -1;
-	}
-	/*
-	 * Set defaults, Assert is .5 second, Wait is 3 seconds.
-	 */
-	if (AssertTime == 0)
-		AssertDelay = 500;
-	else
-		AssertDelay = AssertTime * 100;
-
-	if (DelayTime == 0)
-		WaitDelay = 3000;
-	else
-		WaitDelay = DelayTime * 100;
-
-	/*
-	 * Assert reset
-	 */
-	DeviceNode->ReturnCode = HvCallPci_setSlotReset(ISERIES_BUS(DeviceNode),
-			0x00, DeviceNode->AgentId, 1);
-	if (DeviceNode->ReturnCode == 0) {
-		msleep(AssertDelay);			/* Sleep for the time */
-		DeviceNode->ReturnCode =
-			HvCallPci_setSlotReset(ISERIES_BUS(DeviceNode),
-					0x00, DeviceNode->AgentId, 0);
-
-		/*
-   		 * Wait for device to reset
-		 */
-		msleep(WaitDelay);
-	}
-	if (DeviceNode->ReturnCode == 0)
-		PCIFR("Slot 0x%04X.%02 Reset\n", ISERIES_BUS(DeviceNode),
-				DeviceNode->AgentId);
-	else {
-		printk("PCI: Slot 0x%04X.%02X Reset Failed, RCode: %04X\n",
-				ISERIES_BUS(DeviceNode), DeviceNode->AgentId,
-				DeviceNode->ReturnCode);
-		PCIFR("Slot 0x%04X.%02X Reset Failed, RCode: %04X\n",
-				ISERIES_BUS(DeviceNode), DeviceNode->AgentId,
-				DeviceNode->ReturnCode);
-	}
-	return DeviceNode->ReturnCode;
-}
-EXPORT_SYMBOL(iSeries_Device_ToggleReset);
diff -puN arch/ppc64/kernel/Makefile~ppc64-iseries-remove-iseries_pci_resetc arch/ppc64/kernel/Makefile
--- 25/arch/ppc64/kernel/Makefile~ppc64-iseries-remove-iseries_pci_resetc	2005-06-05 23:56:44.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/Makefile	2005-06-05 23:56:44.000000000 -0700
@@ -16,7 +16,7 @@ obj-y += vdso32/ vdso64/
 
 obj-$(CONFIG_PPC_OF) +=	of_device.o
 
-pci-obj-$(CONFIG_PPC_ISERIES)	+= iSeries_pci.o iSeries_pci_reset.o
+pci-obj-$(CONFIG_PPC_ISERIES)	+= iSeries_pci.o
 pci-obj-$(CONFIG_PPC_MULTIPLATFORM)	+= pci_dn.o pci_direct_iommu.o
 
 obj-$(CONFIG_PCI)	+= pci.o pci_iommu.o iomap.o $(pci-obj-y)
diff -puN include/asm-ppc64/iSeries/iSeries_pci.h~ppc64-iseries-remove-iseries_pci_resetc include/asm-ppc64/iSeries/iSeries_pci.h
--- 25/include/asm-ppc64/iSeries/iSeries_pci.h~ppc64-iseries-remove-iseries_pci_resetc	2005-06-05 23:56:44.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/iSeries_pci.h	2005-06-05 23:56:44.000000000 -0700
@@ -92,7 +92,6 @@ struct iSeries_Device_Node {
 	int		DevFn;		/* Linux devfn */
 	int		BarOffset;
 	int		Irq;		/* Assigned IRQ */
-	int		ReturnCode;	/* Return Code Holder */
 	int		IoRetry;	/* Current Retry Count */
 	int		Flags;		/* Possible flags(disable/bist)*/
 	u16		Vendor;		/* Vendor ID */
@@ -107,7 +106,5 @@ struct iSeries_Device_Node {
 
 extern int	iSeries_Device_Information(struct pci_dev*, char*, int);
 extern void	iSeries_Get_Location_Code(struct iSeries_Device_Node*);
-extern int	iSeries_Device_ToggleReset(struct pci_dev* PciDev,
-		int AssertTime, int DelayTime);
 
 #endif /* _ISERIES_64_PCI_H */
_
